import './assets/main.css'

import { createApp } from 'vue'
import { createPinia } from 'pinia'

import App from './App.vue'
import router from './router'
import i18n from './plugins/i18n'
import VueGtag from "vue-gtag-next";

// Vuetify
import vuetify from './plugins/vuetify'

const app = createApp(App)

app.use(createPinia())
app.use(router)
app.use(vuetify)
app.use(i18n)

// Google tag (gtag.js)
app.use(VueGtag, {
    property: {
        id: "G-LCWPX8QRQB"
    }
});

app.mount('#app')
